/* FK: tile matching game

Copyright (C) 2009 Damian Yerrick

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef DRAWING_H
#define DRAWING_H

#include "fk.h"
#include <allegro.h>

extern const FONT *picken_sans, *picken_sans40;

int openWindow(bool windowed);
void drawing_cleanup(void);
void fkDrawField(FKField *p);
void fkDrawBin(BITMAP *dst, int xcenter, bool lefty);
void fkUpdateBin(BITMAP *dst, int xcenter, bool lefty);
void fkDrawIndicators(const FKField *p);
bool fkLoadDatafiles(void);
void drawSubtitle(const char *line1, const char *line2);
void fkPlaySounds(FKBits sounds);

void debugSetColor(int c);

#endif

